Page MenuHomePhabricator

Homepage: unactivated state of the impact module needs more affordance
Closed, InvalidPublic

Description

This task is about providing a more personalized, explanatory welcome message to newcomers with 0 edits about the value of editing.
This is intended to be a short term solution before the newcomer tasks module and other newcomer module improvements are introduced and more actionable recommendations may be incorporated - see task T223221.

Proposed solution

1. Rebrand and copy changes:
Update the copy in the module to better explain its purpose and potentially rename the module itself.

2. Provide an illustration or other visual which highlights their 0 status and encourages them to start contributing
The graphic may also indicate to users that connecting with their mentors or asking a help page question also counts as an edit.


Original task description

Homepage mobile user test showed that the unactivated state of the impact module can be confusing and would need further affordance for users to easily understand what could be done from there.

Users showed how misleading for them was to understand:

  • what "impact" means
  • if articles they have created are also shown there (they find a difference between an article creation and an article edit)
  • what "edits to other kinds of pages" are

We propose re-wording the copy of the module to better explain its purpose and potentially rename the module itself.
Proposed rebranding of the module:

  • "Your edits"
  • "Your work"

Event Timeline

Cntlsn created this task.May 14 2019, 10:14 AM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptMay 14 2019, 10:14 AM
Cntlsn updated the task description. (Show Details)May 17 2019, 10:33 AM
Cntlsn added subscribers: kaldari, Etonkovidova, MMiller_WMF and 6 others.

Mobile impact module overview has been slightly re-designed to accommodate a more explicit copy and display an intro text until the user has interacted with the module.

Proposed mockups:

Specifications:
Module unacitvated

  • Displays intro text (copy TBC)
  • Displays placeholder text for total number of edits and (copy TBC)

Module activated -- no user interaction yet

  • Displays intro text (copy TBC)

Module activated -- user interacted (checked pageviews for at least one article)

  • Intro text removed

Question: Would it be possible to know when a user has checked pageviews for at least one article hence remove the intro text?

@Cntlsn -- thanks for assembling this. I have a few questions:

  • Do you think that the issues identified in the mobile user tests also apply to desktop? All the copy is currently the same between the mobile designs and the desktop software, and so do we think that users would have the same confusion? If so, should we also be making any changes to desktop?
  • How do these designs fit together with T223221? If we do something along the lines of what is proposed in that task, would the unactivated mobile preview be any different than currently proposed in this task?
  • You briefly mention renaming the module in the task description. Could you say more about that? Do you think it would make a difference? Why?
Cntlsn added a comment.EditedJun 5 2019, 3:37 PM

@MMiller_WMF

  • Do you think that the issues identified in the mobile user tests also apply to desktop? All the copy is currently the same between the mobile designs and the desktop software, and so do we think that users would have the same confusion? If so, should we also be making any changes to desktop?

The desktop user test results didn't show such confusion. I think that the confusion regarding the mobile version of the impact module was actually mostly addressed to the module preview, where we were not giving much info about the impact module content.
That's the reason why I decided to add the intro copy behavior (the intro text will disappear only after the user has interacted with the module == tapped to see pageviews) on the module preview.
By the way I adapted the desktop copy and intro copy behavior to mirror the mobile experience of the fullscreen impact module, as explained in T224526.

  • How do these designs fit together with T223221? If we do something along the lines of what is proposed in that task, would the unactivated mobile preview be any different than currently proposed in this task?

The mobile module preview wouldn't feature any unactivated call-to-actions as the user test results showed how users where already intrigued enough to tap on it and discover the fullscreen version of the module.

  • You briefly mention renaming the module in the task description. Could you say more about that? Do you think it would make a difference? Why?

I mentioned about the possible name change in the task description because I remember you bringing that up after checking user test results. User test results showed how "impact" is a misleading term and would need further explanation, but in lack of better alternatives I think we can stick to that for now.


I have uploaded a series of updated mockups that shows the "life cycle" of the impact module for both
desktop - https://wikimedia.invisionapp.com/share/KUQV2QDJ8A7#/350926581_NH-Impact_Module
mobile - https://wikimedia.invisionapp.com/share/KUQV2QDJ8A7#/367169402_NH-Impact_Module_Mobile

The mockups are comprehensive of the features discussed in this same task and in T224526 and T223221 as well.
They show how I propose to

  • improve the affordance
  • adjust with copy behavior
  • show call-to-actions

All copy is TBC

Happy to receive feedback on that, thx!

Several specifications on this task that only have to do with light copy changes have been separated out into a different task: T224526

Therefore, the remaining work on this task is mostly about showing/hiding elements depending on usage.

Okay what should happen next with this task @MMiller_WMF ? Is this ready for development?

JTannerWMF moved this task from Needs triage to Triaged on the Mobile board.Jun 12 2019, 2:42 AM
RHo updated the task description. (Show Details)Aug 5 2019, 9:02 PM
RHo updated the task description. (Show Details)
RHo updated the task description. (Show Details)Aug 5 2019, 9:07 PM
RHo added a subscriber: RHo.Nov 22 2019, 10:58 PM

@MMiller_WMF - should we close this task in favour of T223221, since its purpose as "a short term solution before the newcomer tasks module and other newcomer module improvements are introduced" is no longer valid?

MMiller_WMF closed this task as Invalid.Dec 10 2019, 1:51 AM

That sounds fine. I am closing it.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptDec 10 2019, 1:51 AM